"""Archive function added

Revision ID: f21152b17006
Revises: 4cb90a55a106
Create Date: 2017-02-10 11:43:59.913667

"""

# revision identifiers, used by Alembic.
revision = 'f21152b17006'
down_revision = '4cb90a55a106'

from alembic import op
import sqlalchemy as sa


INSERTS = """UPDATE participations SET participation_state_id = 1;"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('participations', sa.Column('participation_state_id', sa.Integer(), nullable=True))
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('participations', 'participation_state_id')
    ### end Alembic commands ###
    iter_statements(DELETES)
