# -*- coding: utf8 -*-
from pyramid.view import view_config
from euhu.programs.ec import validate
from ringo_bmasreport.reports.sachbericht import prepare_result_for_print
from ringo_bmasreport.reports.durchfuehrungsbericht import (
    filters, recipe, evaluate
)
from ringo_bmasreport.views import durchfuehrungsbericht as evaluate_view
from ringo_printtemplate.views import print_template

from efa.lib.export_formats.xlsx_template import get_filename

from ec.model.participation import ECParticipation as Participation
from ec.model.participant import indicators, derive_indicators
from ec.views.report_sachbericht import DummyData


@view_config(route_name='report_durchfuehrungsbericht',
             renderer='/durchfuehrungsbericht.mako')
def create_participation_report(request):
    result = evaluate_view(request, "ec", Participation, evaluate, recipe,
                           validate, derive_indicators, indicators, filters)
    return result


@view_config(route_name='report_print_durchfuehrungsbericht')
def print_report(request):
    result = evaluate_view(request, "ec", Participation, evaluate, recipe,
                           validate, derive_indicators, indicators, filters,
                           getvalidate=True)
    result = prepare_result_for_print(result, request)
    filename = get_filename("EC", "ESF-Auswertung", True)
    return print_template(request, result,
                          DummyData("@ec:ec/static/durchfuehrungsbericht_vorlage.odt",
                                    name=filename))
